commit:     317ab49e4e3a147fc5b777c3a274a4bc9efe0f85
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Jul 30 05:38:12 2021 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Jul 30 05:46:46 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=317ab49e

dev-python/isort: Bump to 5.9.3

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/isort/Manifest           |  1 +
 dev-python/isort/isort-5.9.3.ebuild | 59 +++++++++++++++++++++++++++++++++++++
 2 files changed, 60 insertions(+)

diff --git a/dev-python/isort/Manifest b/dev-python/isort/Manifest
index e3fec6796a6..1090ef2b7bc 100644
--- a/dev-python/isort/Manifest
+++ b/dev-python/isort/Manifest
@@ -1,3 +1,4 @@
 DIST isort-5.8.0.tar.gz 167927 BLAKE2B 
59b9ee4e63e231026e25833ef8bc4a782ad7b30622d1f6b61fe177fbf0f8663ca953f68cf168abb407d3cb90fe98e29540ec3a8933a5df2ca7ba3e938ba4282f
 SHA512 
ffeee045b5328fa410673464b2ca22d9cd1ba8dd34eff9a430b93e9ce72033100e32e3373308438bcb82b8eb7deea1f2087091e111b1204e35791958ca6944c4
 DIST isort-5.9.1.gh.tar.gz 727733 BLAKE2B 
dc207ac24b586eb5c4c2bd546c0f2ab336c901563e3f2c92d917cf81bc94634c23a20dfe787e65c41fd3aec835d3fdc96721ed579c282b4cb0719afa7f50f9a3
 SHA512 
e48e08835a71271ab01e52e2c44ecef475aa270ab7242aff4f9ce82bcd5bc8354e2d8a717ccf995172102809198f6dfc9786d8c64e33afc9ae9a4e981ac51feb
 DIST isort-5.9.2.gh.tar.gz 728644 BLAKE2B 
37fa16884e987569bceabf71d5d51b5dcf3c26a28df22b07eb5adb8f571901f5f2d0b258c09dfe720a0579836e90ffa46b1d087c536532841ff48848dd71f9b0
 SHA512 
286536ae5e7328085618ba37d8809b6cd46595b269755c20da0e8f5f866b810663909ed557f16d76c3d5e89b85393264aad7b1d7093cbdb33e808118a3fc7d96
+DIST isort-5.9.3.gh.tar.gz 729342 BLAKE2B 
f40f046c5706ea4fd6daf7dc8eaccaca35e7de3e77bc17fa73681d12c42f7d2a3b19a909384e6b2e2486679a9f9895c2fa944faace4bbc3d0cfd0ec7aff85edd
 SHA512 
96aa9c8bb58c95a41f562d3f0e1cf6e9c0c4158486bca24dfe2293fc86c7c6b74e3e6a84ed755d965b692b1f06d98cdc8ed69080775f8acd9186ac3ae6401570

diff --git a/dev-python/isort/isort-5.9.3.ebuild 
b/dev-python/isort/isort-5.9.3.ebuild
new file mode 100644
index 00000000000..d0eb4aea162
--- /dev/null
+++ b/dev-python/isort/isort-5.9.3.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_SETUPTOOLS=pyproject.toml
+PYTHON_COMPAT=( python3_{8..9} )
+inherit distutils-r1
+
+DESCRIPTION="A python utility/library to sort imports"
+HOMEPAGE="https://pypi.org/project/isort/";
+SRC_URI="
+       https://github.com/PyCQA/isort/archive/${PV}.tar.gz
+               -> ${P}.gh.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+RDEPEND="
+       dev-python/toml[${PYTHON_USEDEP}]"
+BDEPEND="
+       test? (
+               dev-python/black[${PYTHON_USEDEP}]
+               dev-python/colorama[${PYTHON_USEDEP}]
+               dev-python/hypothesis[${PYTHON_USEDEP}]
+               dev-python/natsort[${PYTHON_USEDEP}]
+               dev-python/pylama[${PYTHON_USEDEP}]
+               dev-python/pytest-mock[${PYTHON_USEDEP}]
+               dev-vcs/git
+       )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+       # unbundle toml
+       sed -i -e 's:from ._vendored ::' isort/settings.py || die
+
+       distutils-r1_src_prepare
+}
+
+python_test() {
+       # Some tests run the "isort" command
+       distutils_install_for_testing
+       # Install necessary plugins
+       local p
+       for p in example*/; do
+               pushd "${p}" >/dev/null || die
+               distutils_install_for_testing
+               popd >/dev/null || die
+       done
+
+       local deselect=(
+               # Excluded from upstream's test script
+               tests/unit/test_deprecated_finders.py
+       )
+       epytest tests/unit ${deselect[@]/#/--deselect }
+}

Reply via email to